## com.ziclix.python.sql
Class PyStatement

    java.lang.Object
      org.python.core.PyObject
          com.ziclix.python.sql.PyStatement

All Implemented Interfaces:
  Serializable

    public class PyStatement

extends PyObject

Class PyStatement

Version:
  $Revision: 6694 $
Author:
  brian zimmer
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.python.core.PyObject
`PyObject.ConversionException`

Field Summary
`static int` `STATEMENT_CALLABLE` Denotes a stored procedure call.
`static int` `STATEMENT_PREPARED` Denotes a PreparedStatement either explicitly created by the user, or from a cursor (due to the presence of bind parameters).
`static int` `STATEMENT_STATIC` Denotes a simple Statement with no parameters.

Fields inherited from class org.python.core.PyObject
`TYPE`

Constructor Summary
`PyStatement(Statement statement, Object sql, int style)` Constructor PyStatement
`PyStatement(Statement statement, Procedure procedure)` Constructor PyStatement

Method Summary
`void` `__del__()` Delete the statement.
`PyObject` `__findattr_ex__(String name)` Gets the value of the attribute name.
`PyString` `__str__()` Equivalent to the standard Python __str__ method.
`PyUnicode` `__unicode__()`
`static void` `classDictInit(PyObject dict)` Initializes the object's namespace.
`void` `close()` Method close
`void` `execute(PyCursor cursor, PyObject params, PyObject bindings)` Method execute
`String` `toString()`

Methods inherited from class org.python.core.PyObject

`__abs__, __add__, __and__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __cmp__, __coerce__, __coerce_ex__, __complex__, __contains__, __delattr__, __delattr__, __delete__, __delitem__, __delitem__, __delslice__, __delslice__, __dir__, __div__, __divmod__, __eq__, __findattr__, __findattr__, __finditem__, __finditem__, __finditem__, __float__, __floordiv__, __ge__, __get__, __getattr__, __getattr__, __getitem__, __getitem__, __getnewargs__, __getslice__, __getslice__, __gt__, __hash__, __hex__, __iadd__, __iand__, __idiv__, __idivmod__, __ifloordiv__, __ilshift__, __imod__, __imul__, __index__, __int__, __invert__, __ior__, __ipow__, __irshift__, __isub__, __iter__, __iternext__, __itruediv__, __ixor__, __le__, __len__, __long__, __lshift__, __lt__, __mod__, __mul__, __ne__, __neg__, __nonzero__, __not__, __oct__, __or__, __pos__, __pow__, __pow__, __radd__, __rand__, __rdiv__, __rdivmod__, __reduce__, __reduce_ex__, __reduce_ex__, __repr__, __rfloordiv__, __rlshift__, __rmod__, __rmul__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rtruediv__, __rxor__, __set__, __setattr__, __setattr__, __setitem__, __setitem__, __setitem__, __setslice__, __setslice__, __sub__, __tojava__, __truediv__, __xor__, _add, _and, _callextra, _cmp, _div, _divmod, _doget, _doget, _doset, _eq, _floordiv, _ge, _gt, _iadd, _iand, _idiv, _idivmod, _ifloordiv, _ilshift, _imod, _imul, _in, _ior, _ipow, _irshift, _is, _isnot, _isub, _itruediv, _ixor, _jcall, _jcallexc, _jthrow, _le, _lshift, _lt, _mod, _mul, _ne, _notin, _or, _pow, _rshift, _sub, _truediv, _xor, asDouble, asIndex, asIndex, asInt, asInt, asIterable, asLong, asLong, asName, asName, asString, asString, asStringOrNull, asStringOrNull, delDict, delType, dispatch__init__, equals, fastGetClass, fastGetDict, getDict, getType, hashCode, implementsDescrDelete, implementsDescrGet, implementsDescrSet, invoke, invoke, invoke, invoke, invoke, invoke, isCallable, isDataDescr, isIndex, isMappingType, isNumberType, isSequenceType, noAttributeError, readonlyAttributeError, setDict, setType`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### STATEMENT_STATIC

    public static final int STATEMENT_STATIC

  Denotes a simple Statement with no parameters.

  See Also:
    Constant Field Values

### STATEMENT_PREPARED

    public static final int STATEMENT_PREPARED

  Denotes a PreparedStatement either explicitly created by the user, or from a cursor (due to the presence of bind parameters).

  See Also:
    Constant Field Values

### STATEMENT_CALLABLE

    public static final int STATEMENT_CALLABLE

  Denotes a stored procedure call.

  See Also:
    Constant Field Values

Constructor Detail

### PyStatement

    public PyStatement(Statement statement,
                       Object sql,
                       int style)

  Constructor PyStatement

  Parameters:
    `statement` -
    `sql` -
    `style` -

### PyStatement

    public PyStatement(Statement statement,
                       Procedure procedure)

  Constructor PyStatement

  Parameters:
    `statement` -
    `procedure` -

Method Detail

### __unicode__

    public PyUnicode __unicode__()

  Overrides:
    `__unicode__` in class `PyObject`

### __str__

    public PyString __str__()

  Description copied from class: `PyObject`
  Equivalent to the standard Python __str__ method. This method should not typically need to be overridden. The easiest way to configure the string representation of a `PyObject` is to override the standard Java `toString` method.

  Overrides:
    `__str__` in class `PyObject`

### toString

    public String toString()

  Overrides:
    `toString` in class `PyObject`

### __findattr_ex__

    public PyObject __findattr_ex__(String name)

  Gets the value of the attribute name.

  Overrides:
    `__findattr_ex__` in class `PyObject`
  Parameters:
    `name` -
  Returns:
    the attribute for the given name

### classDictInit

    public static void classDictInit(PyObject dict)

  Initializes the object's namespace.

  Parameters:
    `dict` -

### __del__

    public void __del__()

  Delete the statement.

### execute

    public void execute(PyCursor cursor,
                        PyObject params,
                        PyObject bindings)
                 throws SQLException

  Method execute

  Parameters:
    `cursor` -
    `params` -
    `bindings` -
  Throws:
    `SQLException`

### close

    public void close()

  Method close

Jython homepage